forums.PPSSPP.org
Simpsons game Direct 3D 9 support needed - Printable Version

+- forums.PPSSPP.org (https://forums.ppsspp.org)
+-- Forum: PPSSPP - Playstation Portable Simulator Suitable for Playing Portably (/forumdisplay.php?fid=1)
+--- Forum: General Discussion and Announcements (/forumdisplay.php?fid=2)
+--- Thread: Simpsons game Direct 3D 9 support needed (/showthread.php?tid=24544)



Simpsons game Direct 3D 9 support needed - De_Gamer - 08-04-2018 07:25 AM

I want to play the simpsons game but it does not work and my pc does not support open gl 2.0 pls help Sad


RE: Simpsons game Direct 3D 9 support needed - Asferot - 08-04-2018 10:34 AM

How old is your PC/GPU? If it really does not support 2.0 then it is ancient. Or maybe you simply have not installed drivers and such?


RE: Simpsons game Direct 3D 9 support needed - De_Gamer - 08-05-2018 04:56 AM

ancient


RE: Simpsons game Direct 3D 9 support needed - LunaMoo - 08-05-2018 01:06 PM

D3d9 is compatibility backend for ancient windows pc's with outdated gpu's. That api is limited/outdated and as such cannot support every effect PSP emulation requires and will never be able to match compatibility of more modern backends like Vulkan/D3d11 nor modern versions of OGL api. Same can be said about outdated versions of OGL api, which while supported, cannot handle some effects used in some games and suffer from poor graphics and would probably not improve the situation much;p.

In other words you have to deal with the fact that you will not be able to run all psp games on ancient devices which PPSSPP might run on and this will not change doesn't matter if you're limited to D3d9 or can use outdated OGL. I mean you could use software rasterizer to render nicer graphics, but it would be limited to 1x resolution and would also require very powerful CPU to reach anything above single digit fps, I also think software renderer might not actually work in your case as it still needs at least ancient ogl to display stuff.


RE: Simpsons game Direct 3D 9 support needed - De_Gamer - 08-08-2018 05:14 AM

mine is ogl 1.6

Is there any automated versions


RE: Simpsons game Direct 3D 9 support needed - Asferot - 08-08-2018 12:32 PM

Genuine question. Are you sure you are even able to run PPSSPP on 100% speed? What is your CPU and other specs?


Also. You need to understand that there are no builds for such old GPUs and no one will make them.